Package org.eclipse.graphiti.mm

## Interface PropertyContainer

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `AbstractText`, `AdvancedAnchor`, `Anchor`, `AnchorContainer`, `BoxRelativeAnchor`, `ChopboxAnchor`, `CompositeConnection`, `Connection`, `ConnectionDecorator`, `ContainerShape`, `CurvedConnection`, `Diagram`, `Ellipse`, `FixPointAnchor`, `FreeFormConnection`, `GraphicsAlgorithm`, `GraphicsAlgorithmContainer`, `Image`, `ManhattanConnection`, `MultiText`, `PictogramElement`, `PictogramLink`, `PlatformGraphicsAlgorithm`, `Polygon`, `Polyline`, `Rectangle`, `RoundedRectangle`, `Shape`, `Text`

All Known Implementing Classes:
  `AbstractTextImpl`, `AdvancedAnchorImpl`, `AnchorContainerImpl`, `AnchorImpl`, `BoxRelativeAnchorImpl`, `ChopboxAnchorImpl`, `CompositeConnectionImpl`, `ConnectionDecoratorImpl`, `ConnectionImpl`, `ContainerShapeImpl`, `CurvedConnectionImpl`, `DiagramImpl`, `EllipseImpl`, `ExternalPictogramLink`, `FixPointAnchorImpl`, `FreeFormConnectionImpl`, `GraphicsAlgorithmContainerImpl`, `GraphicsAlgorithmImpl`, `ImageImpl`, `ManhattanConnectionImpl`, `MultiTextImpl`, `PictogramElementImpl`, `PictogramLinkImpl`, `PlatformGraphicsAlgorithmImpl`, `PolygonImpl`, `PolylineImpl`, `PropertyContainerImpl`, `RectangleImpl`, `RoundedRectangleImpl`, `ShapeImpl`, `TextImpl`

    public interface PropertyContainer
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Property Container'.

The following features are supported:

- `Properties`

See Also:
  `MmPackage.getPropertyContainer()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Property>` `getProperties()` Returns the value of the 'Properties' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getProperties

    org.eclipse.emf.common.util.EList<Property> getProperties()

Returns the value of the 'Properties' containment reference list. The list contents are of type `Property`.

If the meaning of the 'Properties' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Properties' containment reference list.
See Also:
  `MmPackage.getPropertyContainer_Properties()`